using System;
using System.Runtime.InteropServices;
using System.Collections.Generic;
using System.Text;
using Microsoft.Office;
using Microsoft.Office.Core;
using Microsoft.Office.Interop;
using Microsoft.Office.Interop.Word;

namespace ComSample
{
   class Program
   {
      static void Main(string[] args)
      {
         try
         {
            object missing = Type.Missing;
            object fileName = @"C:\output.doc";
            string textToInsert =
              "Zastosowanie współoperatywności z COM przy użyciu zestawów PIA " +
              "(Primary InterOp Assemblies) jest proste!";
            Document doc = new Document();

            object startPosition = 0;
            object endPosition = 0;
            Range range = doc.Range(ref startPosition, ref endPosition);
            range.Text = textToInsert;
            doc.SaveAs(ref fileName,
              ref missing, ref missing, ref missing, ref missing, ref missing,
              ref missing, ref missing, ref missing, ref missing, ref missing,
              ref missing, ref missing, ref missing, ref missing, ref missing);

         }
         catch (COMException ex)
         {
            Console.WriteLine("Wstawianie tekstu do dokumentu zakończyło się niepowodzeniem: "
              + ex.ToString());
         }
      }
   }
}
